%#              options.data                 - the data
%#              options.labels               - labels for the variables
%#              options.numberofbootstraps   - predefined number of bootstrap samples
%#              options.numberclusters       - predefined number of clusters
%#              options.kleur                - 0 = make all plots in colors
%#              options.histoutput           - 1 = plot histograms
%#              options.plot                 - 1 = plot collected histograms as heatplot

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%  start bagged clustering procedure   %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

clear all
close all

numobj=30;
numvar=100;

data=rand(numvar, numobj);
for i=1:numvar
    labels{i}=['Variable ' num2str(i)];
end

options.labels=labels;
options.numberofbootstraps=50;
options.numberclusters=3;
options.kleur=0;
options.histoutput=0;
options.plot=1;

options.data=data;
options.data=rangescaling(options.data')';
[T3,D]=bagged_clustering_kmeans(options);

%Note: warning messages about empty clusters in kmeans routine are normal

